import { useState, useEffect } from 'react';
import { useScript } from 'usehooks-ts';

var useLoadScript = function (_a) {
  var script = _a.script;
  var status = useScript(script);
  var _b = useState(false),
    init = _b[0],
    setInit = _b[1];
  useEffect(function () {
    if (status !== "ready") return;
    setInit(true);
  }, [status]);
  return {
    init: init
  };
};

var MANIFEST_SCRIPT = 'https://bridge.usemanifest.com/Manifest.js';

var useManifestBridge = function (config) {
  var _a = useState(),
    manifest = _a[0],
    setManifest = _a[1];
  var status = useScript(MANIFEST_SCRIPT);
  useEffect(function () {
    console.log({
      status: status
    });
    console.log({
      config: config
    });
    if (status === "loading") return;
    if (status === "error") {
      console.error("Error loading Manifest");
      return;
    }
    if (status === "ready" && !window.Manifest) {
      console.error("Error loading Manifest");
      return;
    }
    if (window.Manifest) {
      var manifestObj = window.Manifest.create(config);
      setManifest(manifestObj);
    }
  }, [status, config]);
  return {
    open: manifest ? manifest.open : function () {}
  };
};

var useExtractHooks = function () {
  return {
    message: "another mock hooks - fixes trial"
  };
};

export { useExtractHooks, useLoadScript, useManifestBridge };
